rw.consultasAutomaticas = (function ($, rw) {
    function cria(url, idInput, bDesabilita) {
        var input = $(idInput)
        var bRetorno = false

        var callback = function(data) {
            if(data.resposta.status == "ERRO") {
                rw.msg.erro(data)
                bRetorno = false
            }

            if(data.resposta.registro.umRegistro == "true") {
                var desc = idInput.replace('#', 'desc_f4_')

                if(!$("#" + desc).html())
                    input.parent().append(" <label class='nome'id=" + desc + "></label>")

                if(bDesabilita) {
                    input.after(" <img src='../images/f4.gif' alt='F4' disabled='disabled'/>")
                    $(idInput).attr("disabled", true)
                }

                $(idInput).val(data.resposta.registro.codigo)
                $(idInput).parent().children(".nome").html(data.resposta.registro.nome)

                bRetorno = bDesabilita
            } else {
                var desc = idInput.replace('#', 'desc_f4_')

                if(!$("#" + desc).html())
                    input.parent().append(" <label class='nome'id=" + desc + "></label>")

                $(idInput).val(data.resposta.registro.codigo)
                $(idInput).parent().children(".nome").html(data.resposta.registro.nome)
                 
                bRetorno = false
            }
        }

        $.ajax(
            url, { 
                data: { }, 
                async: false, 
                success: callback, 
                error: function() { bRetorno = false }                
            }
        )

        return bRetorno
    }
    
    return {
        cria: cria
    }
} ($, rw))

rw.consultasAutomaticas.filiais = (function ($, rw) {
    function cria(idInput) {
        if(!rw.consultasAutomaticas.cria("../api/df/consulta-automatica-filial.asp", idInput, true))
            rw.consultasF4.filiais.cria(idInput)
    }
    
    return {
        cria: cria
    }
} ($, rw))

rw.consultasAutomaticas.tabPrecos = (function ($, rw) {
    function cria(idInput) {
        if(!rw.consultasAutomaticas.cria("../api/df/consulta-automatica-tabPrecos.asp", idInput, false))
            rw.consultasF4.tabPrecos.cria(idInput)
    }

    return {
        cria: cria
    }
} ($, rw))